BSA-2018-564

Brocade Security Advisory ID

BSA-2018-564

Initial Publication Date

02/26/2018

Last Updated

03/16/2018

Revision

1.1: update

Risk Impact

Medium

Workaround

N/A

Component

Oracle Java

Affected CVE

CVE-2018-2579, CVE-2018-2588,CVE-2018-2663, CVE-2018-2678, CVE-2018-2599, CVE-2018-2603,CVE-2018-2629, CVE-2018-2657,CVE-2018-2618, CVE-2018-2582,CVE-2018-2634, CVE-2018-2637,CVE-2018-2633, CVE-2018-2677,CVE-2018-2602, CVE-2018-2641,CVE-2018-2638, CVE-2018-2639, CVE-2018-2627, CVE-2018-2675

Summary

The January 2018 Critical Patch Update provides security updates for certain Oracle Java Platform software libraries. Java SE (JDK and JRE) versions through 6u171, 7u161, 8u152, and 9.0.1 are affected by vulnerabilities that could lead to a takeover of Java, a partial denial of service (DoS) of Java, or to the unauthorized reading or modification of a subset or all of the data accessible to the Java process.Further description can be found here.

Affected Products

Brocade Network Advisor Servers and Clients before version 14.4.2 are affected by the following CVEs: CVE-2018-2579, CVE-2018-2588, CVE-2018-2663, CVE-2018-2678, CVE-2018-2599, CVE-2018-2603, CVE-2018-2629, CVE-2018-2657, CVE-2018-2618, CVE-2018-2582, CVE-2018-2634, CVE-2018-2637, CVE-2018-2633.

Only Brocade Network Advisor Clients before version 14.4.2 are affected by CVE-2018-2677, CVE-2018-2602, CVE-2018-2641, CVE-2018-2638, CVE-2018-2639, CVE-2018-2581.

Product Confirmed Non Vulnerable

No other Brocade Fibre Channel technology products from Broadcom are currently known to be affected by these vulnerabilities.

Solution

Brocade recommends affected users and system administrators upgrade to Brocade Network Advisor 14.4.2

Workaround

Affected users and system administrators for Brocade Network Advisor Clients version are encouraged to upgrade the java libraries on their systems independent of Brocade Network Advisor.

Version Change Date
1.0 Initial Publication February 26, 2018
1.1 March 16, 2018 March 16, 2018

Disclaimer

THIS DOCUMENT IS PROVIDED ON AN AS-IS BASIS SOLELY FOR INFORMATIONAL PURPOSES AND DOES NOT IMPLY ANY KIND OF GUARANTY OR WARRANTY, INCLUDING THE WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. YOUR USE OF THE INFORMATION CONTAINED HEREIN IS AT YOUR OWN RISK. ALL INFORMATION PROVIDED HEREIN IS BASED ON BROCADE'S CURRENT KNOWLEDGE AND UNDERSTANDING OF THE VULNERABILITY AND IMPACT TO BROCADE HARDWARE AND SOFTWARE PRODUCTS. BROCADE RESERVES THE RIGHT TO CHANGE OR UPDATE THIS DOCUMENT AT ANY TIME.